Aplicacion clase Opting!
<button (click)="goToHome()">Home</button>
<button (click)="goToDogs()">Dogs</button>
<button (click)="goToCats()">Cats</button>
<button (click)="goToAbout()">About</button>
<router-outlet></router-outlet>